%define name usb-imagewriter
%define name1 imagewriter
%define version 0.1.3
%define release %mkrel 3
%define summary A GUI tool to write .img files to USB Keys
%define url https://launchpad.net/usb-imagewriter

Name		: %{name}
Summary		: %{summary}
Version		: %{version}
Release		: %{release}
URL		: %{url}
Group		: System/Configuration/Other
BuildRoot	: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0		: %{name}-%{version}.tar.gz
Source1		: header.png
Source2		: %{name1}.png
License		: GNU GPL v2
BuildArch:	noarch
BuildRequires:	imagemagick
BuildRequires:	usermode-consoleonly
Requires	: hal
Requires	: gksu
Requires	: procps
Requires	: python
Requires	: gnome-python
Requires	: coreutils	
Requires	: xterm
Requires:	pygtk2.0-libglade



%description
A GUI tool to write .img files to USB Keys

%description -l de
Ein GUI-Tool zum scheiben von *.img Dateien auf USB-Sicks

%prep
rm -rf %{buildroot} 
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name-%version

%build
%setup_compile_flags


%install
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_usr}/lib/%{name1}
mkdir -p %{buildroot}%{_datadir}/%{name1}
mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES

%__install -m 755 %{name1} %{buildroot}%{_sbindir}/%{name1}
%__install -m 644 share/%{name}/%{name1}.glade %{buildroot}%{_datadir}/%{name1}/%{name1}.glade
%__install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/%{name1}/header.png

# LIBFILES imagewriter.py find_devices.sh
%__install -m 755 lib/find_devices.sh %{buildroot}%{_usr}/lib/%{name1}/find_devices.sh
%__install -m 755 lib/%{name1}.py %{buildroot}%{_usr}/lib/%{name1}/%{name1}.py

# usb-imagewriter.mo
%__install -m 644 po/de/LC_MESSAGES/%{name}.mo %{buildroot}/%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
Name[de]=USB-ImageWriter
Comment=A GUI tool to write .img files to USB Keys
Comment[de]=Ein Programm zum Schreiben von *.img Dateien auf USB-Sticks
Comment[pt]=Um Programa para gravar ficheiros *.img em dispositivos USB
Type=Application
Terminal=false
Icon=%{name1}.png
Exec=%{_bindir}/%{name1}
Categories=X-MandrivaLinux-System;
EOF

mkdir -p %{buildroot}/{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
convert %{SOURCE2} -geometry 16x16 %{buildroot}/%{_miconsdir}/%{name1}.png
convert %{SOURCE2} -geometry 32x32 %{buildroot}/%{_iconsdir}/%{name1}.png
convert %{SOURCE2} -geometry 48x48 %{buildroot}/%{_liconsdir}/%{name1}.png

# Adjust for console-helper magic
mkdir -p %{buildroot}%{_bindir}
pushd %{buildroot}%{_bindir}
ln -s consolehelper %{name1}
popd


%post
%{update_menus}

%postun
%{clean_menus}

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sbindir}/%{name1}
%{_bindir}/%{name1}
%{_usr}/lib/%{name1}/
%{_datadir}/%{name1}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo
%{_miconsdir}/*
%{_iconsdir}/*
%{_liconsdir}/*

%changelog
* Sat Jun 13 2015 pp <pp> 0.1.3-3pclos2015
- rebuild on 32/64 as noarch acc Mageia

* Sun Nov 22 2009 Texstar <texstar at gmail.com> 0.1.3-2pclos2010
- rebuild

* Fri Jun 27 2009 maik3531 <maik3531@yahoo.de> 0.1.3-1pclos2010
- first build

